package com.ajb.car.metadata.service;


import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.meta.Userdata;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface UserdataService {
	Userdata save(Userdata userdata);
	Boolean delete (Long id);
	Userdata update(Userdata userdata);
	Userdata findById(Long id);
	Page<Userdata> findByObjPageable(Userdata userdata,Pageable pageable);
	List<Userdata> findByObjSortable(Userdata userdata,Sort sort);
}